
QGIS Application - Bug report #9998

Error Null values in PostGIS

2014-04-03 08:21 PM - Samuel Fernando Mesa Giraldo

Status: Closed

Priority: High

Assignee:

Category:

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18489

Description

In PostGIS (2.1) the Null values are displayed correctly in the attribute table. However, when displaying the label is treated as a value of

0, similarly when I perform an operation interpolation (IDW algorithm from the raster menu), where this result should ignore null values

stations.

Attached a screenshot trying to explain the results of interpolation and labeled, possibly wrong with null values.

https://drive.google.com/file/d/0B9J3L0xnIeLZLWRtSkJLeXp1RzA

Related issues:

Related to QGIS Application - Bug report # 10151: expression-based label regr... Closed 2014-05-01

Associated revisions

Revision e497a5c0 - 2014-04-19 10:57 PM - Jürgen Fischer

labeling: consider configure representation for NULL values (fixes #9998)

Revision 3d916633 - 2014-05-02 10:25 AM - Jürgen Fischer

labeling: 'show' empty string instead of configured representation for NULL (party reverts e497a5c; refs #9998; fixes #10151)

History

#1 - 2014-04-03 10:57 PM - Paolo Cavallini

- Priority changed from Normal to High

#2 - 2014-04-19 01:58 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

- Category deleted (Data Provider/PostGIS)

Not related to the PostGIS provider.  Any QVariant( QVariant::Double ).toString() evaluates to 0.

#3 - 2014-04-19 01:58 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"e497a5c0f69301a15111c3e99a3ef3337c718f0e".
